use std::cell::Cell;

use relm4::RelmApp;
use ui::{AppModel, IdxChanged};

mod lua_actor;
pub mod ui;

fn main() -> miette::Result<()> {
    let lua_actor = lua_actor::start()?;

    let steps = lua_actor.with_steps_sync(|steps| steps.len());

    let model = AppModel {
        can_run: steps >= 1,
        lua_actor,
        selected_idx: 0,
        idx_changed: Cell::new(IdxChanged::Auto),
    };

    RelmApp::new(model).run();

    Ok(())
}
