use std::path::Path;

pub mod config;
pub mod luautil;

pub enum PathStatus {
    NonExistant,
    Directory,
    File,
}

pub trait PathExt {
    fn status(&self) -> PathStatus;
}

impl PathExt for Path {
    fn status(&self) -> PathStatus {
        match self.metadata() {
            Ok(m) if m.is_file() => PathStatus::File,
            Ok(m) if m.is_dir() => PathStatus::Directory,
            _ => PathStatus::NonExistant,
        }
    }
}
